searchNodes=[{"type":"module","title":"Tails","doc":"Tailwind class utilities like class merging. In most cases, only classes that we know all of the values for are merged. In some cases, we merge anything starting with a given prefix. Eventually, we will have tools to read your tailwind config to determine additional classes to merge, or have explicit configuration on additional merge logic. The preferred way to use tails classes the classes/1 function. This gives you: conditional classes list merging (from left to right) arbitrary nesting For example: classes([&quot;mt-1 mx-2&quot;, [&quot;pt-2&quot;: var1, &quot;pb-4&quot;, var2], &quot;mt-12&quot;: var3]) Will merge all classes from left to right, flattening the lists and conditionally including the classes where the associated value is true. What classes are currently merged? Directional classes These classes support x/y/l/r suffix merging. Padding - p Margin - m Only explicitly known values Only explicitly known values will be merged, all others will be retained. Sr Only - sr-only , not-sr-only Transition Timing Function - ease-linear , ease-in , ease-out , ease-in-out Text Overflows - truncate , text-ellipses , text-clip Text Transform - uppercase , lowercase , capitalize , normal-case Text Decoration - underline , overline , line-through , no-underline Isolation - isolate , isolation-auto Position - static , fixed , absolute , relative , sticky Font Smoothing - antialiased , subpixel-antialiased Font Style - italic , non-italic Display - block , inline-block , inline , flex , inline-flex , table , inline-table , table-caption , table-cell , table-column , table-column-group , table-footer-group , table-header-group , table-row-group , table-row , flow-root , grid , inline-grid , contents , list-item , hidden Visibility - visible , invisible , collapse Text Overflow - truncate , text-ellipsis , text-clip Will Change - will-change-auto , will-change-scroll , will-change-contents , will-change-transform User Select - select-none , select-text , select-all , select-auto Touch Action - touch-auto , touch-none , touch-pan-x , touch-pan-left , touch-pan-right , touch-pan-y , touch-pan-up , touch-pan-down , touch-pinch-zoom , touch-manipulation Snap Type - snap-none , snap-x , snap-y , snap-both Snap Strictness - snap-mandatory , snap-proximity Snap Align - snap-start , snap-end , snap-center , snap-align-none Snap Stop - snap-normal , snap-always Scroll Behaviour - scroll-auto , scroll-smooth Resize - resize-none , resize-y , resize-x Pointer Events - pointer-events-auto , pointer-events-none Cursor - cursor-auto , cursor-default , cursor-pointer , cursor-wait , cursor-text , cursor-move , cursor-help , cursor-not-allowed , cursor-none , cursor-context-menu , cursor-progress , cursor-cell , cursor-crosshair , cursor-vertical-text , cursor-alias , cursor-copy , cursor-no-drop , cursor-grab , cursor-grabbing , cursor-all-scroll , cursor-col-resize , cursor-row-resize , cursor-n-resize , cursor-e-resize , cursor-s-resize , cursor-w-resize , cursor-ne-resize , cursor-nw-resize , cursor-se-resize , cursor-sw-resize , cursor-ew-resize , cursor-ns-resize , cursor-nesw-resize , cursor-nwse-resize , cursor-zoom-in , cursor-zoom-out Transform - transform-gpu , transform-none Animate - animate-none , animate-spin , animate-ping , animate-pulse , animate-bounce Transition Property - transition-none , transition-all , transition-colors , transition-opacity , transition-shadow , transition-transform Table Layout - table-auto , table-fixed Border Collapse Mode - border-collapse , border-separate Mix Blend Mode - mix-blend-normal , mix-blend-multiply , mix-blend-screen , mix-blend-overlay , mix-blend-darken , mix-blend-lighten , mix-blend-color-dodge , mix-blend-color-burn , mix-blend-hard-light , mix-blend-soft-light , mix-blend-difference , mix-blend-exclusion , mix-blend-hue , mix-blend-saturation , mix-blend-color , mix-blend-luminosity , mix-blend-plus-lighter Background Blend Mode - bg-blend-normal , bg-blend-multiply , bg-blend-screen , bg-blend-overlay , bg-blend-darken , bg-blend-lighten , bg-blend-color-dodge , bg-blend-color-burn , bg-blend-hard-light , bg-blend-soft-light , bg-blend-difference , bg-blend-exclusion , bg-blend-hue , bg-blend-saturation , bg-blend-color , bg-blend-luminosity Outline Styles - outline-none , outline-dashed , outline-dotted , outline-double Divide Styles - divide-solid , divide-dashed , divide-dotted , divide-double , divide-none Border Style - border-solid , border-dashed , border-dotted , border-double , border-hidden , border-none Word Breaks - break-normal , break-words , break-all , break-keep Whitespace - whitespace-normal , whitespace-nowrap , whitespace-pre , whitespace-pre-line , whitespace-pre-wrap Text Align - text-left , text-center , text-right , text-justify , text-start , text-end Vertical Align - align-baseline , align-top , align-middle , align-bottom , align-text-top , align-text-bottom , align-sub , align-super Text Decoration Style - decoration-solid , decoration-double , decoration-dotted , decoration-dashed , decoration-wavy List Style Type - list-none , list-disc , list-decimal List Style Position - list-inside , list-outside Tracking - tracking-tighter , tracking-tight , tracking-normal , tracking-wide , tracking-wider , tracking-widest Place Content - place-content-center , place-content-start , place-content-end , place-content-between , place-content-around , place-content-evenly , place-content-baseline , place-content-stretch Place Items - place-items-start , place-items-end , place-items-center , place-items-baseline , place-items-stretch Place Selfs - place-selfs-auto , place-selfs-start , place-selfs-end , place-selfs-center , place-selfs-stretch Align Content - content-center , content-start , content-end , content-between , content-around , content-evenly , content-baseline Align Items - items-start , items-end , items-center , items-baseline , items-stretch Align Selfs - selfs-auto , selfs-start , selfs-end , selfs-center , selfs-stretch , selfs-baseline Auto Cols - auto-cols-auto , auto-cols-min , auto-cols-max , auto-cols-fr Auto Rows - auto-rows-auto , auto-rows-min , auto-rows-max , auto-rows-fr Grid Flow - grid-flow-row , grid-flow-col , grid-flow-dense , grid-flow-row-dense , grid-flow-col-dense Justify Contents - justify-start , justify-end , justify-center , justify-between , justify-around , justify-evenly Justify Items - justify-items-start , justify-items-end , justify-items-center , justify-items-stretch Justify Selfs - justify-selfs-auto , justify-selfs-start , justify-selfs-end , justify-selfs-center , justify-selfs-stretch Flex Grow Shrink - flex-1 , flex-auto , flex-initial , flex-none Flex Direction - flex-row , flex-row-reverse , flex-col , flex-col-reverse Shrink - shrink-0 Grow - grow-0 Flex Wrap - flex-wrap , flex-wrap-reverse , flex-nowrap Overflow - overflow-auto , overflow-hidden , overflow-clip , overflow-visible , overflow-scroll Overflow X - overflow-x-auto , overflow-x-hidden , overflow-x-clip , overflow-x-visible , overflow-x-scroll Overflow Y - overflow-y-auto , overflow-y-hidden , overflow-y-clip , overflow-y-visible , overflow-y-scroll Overscroll - overscroll-auto , overscroll-contain , overscroll-none Overscroll X - overscroll-x-auto , overscroll-x-contain , overscroll-x-none Overscroll Y - overscroll-y-auto , overscroll-y-contain , overscroll-y-none Object Fit - object-contain , object-cover , object-fill , object-none , object-scale-down Object Position - object-bottom , object-center , object-left , object-left-bottom , object-left-top , object-right , object-right-bottom , object-right-top , object-top Float - float-left , float-right , float-none Clear - clear-left , clear-right , clear-both , clear-none Break After - break-after-auto , break-after-avoid , break-after-all , break-after-avoid-page , break-after-page , break-after-left , break-after-right , break-after-column Break Before - break-before-auto , break-before-avoid , break-before-all , break-before-avoid-page , break-before-page , break-before-left , break-before-right , break-before-column Break Inside - break-inside-auto , break-inside-avoid , break-inside-avoid-page , break-inside-avoid-column Box Decoration - box-decoration-clone , box-decoration-slice Box Size - box-border , box-content Font Family - font-sans , font-serif , font-mono Font Weight - font-thin , font-extralight , font-light , font-normal , font-medium , font-semibold , font-bold , font-extrabold , font-black Aspect Ratio - aspect-auto , aspect-square , aspect-video Outline Style - outline-none , outline-dashed , outline-dotted , outline-double Background Size - bg-auto , bg-cover , bg-contain Background Repeat - bg-repeat , bg-no-repeat , bg-repeat-x , bg-repeat-y , bg-repeat-round , bg-repeat-space Background Positions - bg-bottom , bg-center , bg-left , bg-left-bottom , bg-left-top , bg-right , bg-right-bottom , bg-right-top , bg-top Background Blend - bg-blend-normal , bg-blend-multiply , bg-blend-screen , bg-blend-overlay , bg-blend-darken , bg-blend-lighten , bg-blend-color-dodge , bg-blend-color-burn , bg-blend-hard-light , bg-blend-soft-light , bg-blend-difference , bg-blend-exclusion , bg-blend-hue , bg-blend-saturation , bg-blend-color , bg-blend-luminosity Background Origin - bg-origin-border , bg-origin-padding , bg-origin-content Background Clip - bg-clip-border , bg-clip-padding , bg-clip-content , bg-clip-text Background Image - bg-none , bg-gradient-to-t , bg-gradient-to-tr , bg-gradient-to-r , bg-gradient-to-br , bg-gradient-to-b , bg-gradient-to-bl , bg-gradient-to-l , bg-gradient-to-tl Background Attachment - bg-fixed , bg-local , bg-scroll Col - col-auto Fill Color - prefix fill- : colors Outline Color - prefix outline- : colors Caret Color - prefix caret- : colors Accent Color - prefix accent- : colors Ring Color - prefix ring- : colors Shadow Color - prefix shadow- : colors Ring Offset Color - prefix ring-offset- : colors Divide Color - prefix divide- : colors Border Color - prefix border- : colors Border Color Y - prefix border-y- : colors Border Color X - prefix border-x- : colors Border Color T - prefix border-t- : colors Border Color R - prefix border-r- : colors Border Color B - prefix border-b- : colors Border Color L - prefix border-l- : colors Text Decoration Color - prefix decoration- : colors Background - prefix bg- : colors Text Color - prefix text- : colors Any values matching prefix Any values matching the following prefixes will be merged with each other respectively Stroke Width - stroke Rotate - rotate Translate - translate Translate X - translate-x Translate Y - translate-y Scale X - scale-x Scale Y - scale-y Scale - scale Skew X - skew-x Skew Y - skew-y Duration - duration Delay - delay Blur - blur Brightness - brightness Contrast - contrast Sepia - sepia Hue Rotate - hue-rotate Grayscale - grayscale Saturate - saturate Invert - invert Drop Shadow - drop-shadow Shadow - shadow Backdrop Blur - backgdrop-blur Backdrop Brightness - backgdrop-brightness Backdrop Contrast - backgdrop-contrast Backdrop Sepia - backgdrop-sepia Backdrop Hue Rotate - backgdrop-hue-rotate Backdrop Grayscale - backgdrop-grayscale Backdrop Saturate - backgdrop-saturate Backdrop Invert - backgdrop-invert Backdrop Opacity - backdrop-opacity Ring Width - ring Rounded T - rounded-t Rounded R - rounded-r Rounded B - rounded-b Rounded L - rounded-l Rounded Tl - rounded-tl Rounded Tr - rounded-tr Rounded Bl - rounded-bl Rounded Br - rounded-br Rounded - rounded Underline Offset - underline-offset Text Decoration Thickness - decoration Text Indent - indent Leading - leading Gap - gap Gap X - gap-x Gap Y - gap-y Order - order Basis - basis Space X - space-x Space Y - space-y Z - z Left - left Right - right Top - top Bottom - bottom Inset - inset Inset Y - inset-y Inset X - inset-x Columns - columns Col Span - col-span Col Start - col-start Col End - col-end Row Span - row-span Row Start - row-start Row End - row-end Font Size - text Outline Width - outline Outline Offset - outline-offset Grid Cols - grid-cols Grid Rows - grid-rows Width - w Min Width - min-w Max Width - max-w Height - h Min Height - min-h Max Height - max-h Singletons The following classes are tracked as special classes, but don't have any special merge behavior because they either compose with other similar classes or have no conflicts container content-none space-y-reverse space-x-reverse divide-y-reverse divide-x-reverse ring-inset filter-none backdrop-filter-none col-auto row-auto normal-nums ordinal slashed-zero lining-nums oldstyle-nums proportional-nums tabular-nums diagonal-fractions stacked-fractions","ref":"Tails.html"},{"type":"function","title":"Tails.black/0","doc":"","ref":"Tails.html#black/0"},{"type":"function","title":"Tails.classes/1","doc":"Builds a class string out of a mixed list of inputs or a string. If the value is a string, we make a new Tails with it (essentially deduplicating it). If the value is a list, then for each item in the list: If the value is a list, we call classes/1 on it. If it is a tuple, we discard it unless the second element is truthy. Otherwise, we to_string it And then we merge the whole list up into one class string. This allows for conditional class rendering, arbitrarily nested. For example: iex&gt; classes([&quot;a&quot;, &quot;b&quot;]) &quot;a b&quot; iex&gt; classes([a: false, b: true]) &quot;b&quot; iex&gt; classes([[a: true, b: false], [c: false, d: true]]) &quot;a d&quot;","ref":"Tails.html#classes/1"},{"type":"function","title":"Tails.current/0","doc":"","ref":"Tails.html#current/0"},{"type":"function","title":"Tails.inherit/0","doc":"","ref":"Tails.html#inherit/0"},{"type":"function","title":"Tails.merge/1","doc":"Merges a list of class strings. See merge/2 for more","ref":"Tails.html#merge/1"},{"type":"function","title":"Tails.merge/2","doc":"Semantically merges two lists of tailwind classes, treating the first as a base and the second as overrides Generally, instead of calling merge/2 you will call classes/1 with a list of classes. See the module documentation for what classes will be merged/retained. Examples iex&gt; merge ( &quot;p-4&quot; , &quot;p-2&quot; ) |&gt; to_string ( ) &quot;p-2&quot; iex&gt; merge ( &quot;p-2&quot; , &quot;p-4&quot; ) |&gt; to_string ( ) &quot;p-4&quot; iex&gt; merge ( &quot;p-4&quot; , &quot;px-2&quot; ) |&gt; to_string ( ) &quot;p-4 px-2&quot; iex&gt; merge ( &quot;font-bold&quot; , &quot;font-thin&quot; ) |&gt; to_string ( ) &quot;font-thin&quot; iex&gt; merge ( &quot;block absolute&quot; , &quot;fixed hidden&quot; ) |&gt; to_string ( ) &quot;fixed hidden&quot; iex&gt; merge ( &quot;bg-blue-500&quot; , &quot;bg-auto&quot; ) |&gt; to_string ( ) &quot;bg-blue-500 bg-auto&quot; iex&gt; merge ( &quot;bg-auto&quot; , &quot;bg-repeat-x&quot; ) |&gt; to_string ( ) &quot;bg-auto bg-repeat-x&quot; iex&gt; merge ( &quot;bg-blue-500&quot; , &quot;bg-red-400&quot; ) |&gt; to_string ( ) &quot;bg-red-400&quot; iex&gt; merge ( &quot;grid grid-cols-2 lg:grid-cols-3&quot; , &quot;grid-cols-3 lg:grid-cols-4&quot; ) |&gt; to_string ( ) &quot;grid grid-cols-3 lg:grid-cols-4&quot; iex&gt; merge ( &quot;font-normal text-black hover:text-blue-300&quot; , &quot;text-gray-600 dark:text-red-400 font-bold&quot; ) |&gt; to_string ( ) &quot;text-gray-600 font-bold hover:text-blue-300 dark:text-red-400&quot; iex&gt; merge ( &quot;min-h-2&quot; , &quot;min-h-[1rem]&quot; ) |&gt; to_string ( ) &quot;min-h-[1rem]&quot; iex&gt; merge ( &quot;min-w-2&quot; , &quot;min-h-[1rem]&quot; ) |&gt; to_string ( ) &quot;min-w-2 min-h-[1rem]&quot; iex&gt; merge ( &quot;border-2&quot; , &quot;border-gray-500&quot; ) |&gt; to_string ( ) &quot;border-2 border-gray-500&quot; iex&gt; merge ( &quot;rounded-lg&quot; , &quot;rounded&quot; ) |&gt; to_string ( ) &quot;rounded&quot; iex&gt; merge ( &quot;rounded&quot; , &quot;rounded-lg&quot; ) |&gt; to_string ( ) &quot;rounded-lg&quot; iex&gt; merge ( &quot;border-separate&quot; , &quot;border-spacing-1&quot; ) |&gt; to_string ( ) &quot;border-spacing-1 border-separate&quot; iex&gt; merge ( &quot;shadow&quot; , &quot;shadow-md&quot; ) |&gt; to_string ( ) &quot;shadow-md&quot; iex&gt; merge ( &quot;shadow-none&quot; , &quot;shadow-inner&quot; ) |&gt; to_string ( ) &quot;shadow-inner&quot; iex&gt; merge ( &quot;shadow-lg&quot; , &quot;shadow&quot; ) |&gt; to_string ( ) &quot;shadow&quot; iex&gt; merge ( &quot;bg-gray-50 text-gray-600&quot; , &quot;ring-1 ring-inset ring-gray-500/10&quot; ) |&gt; to_string ( ) &quot;ring-inset ring-gray-500/10 bg-gray-50 text-gray-600 ring-1&quot; Classes can be removed iex&gt; merge ( &quot;font-normal text-black&quot; , &quot;remove:font-normal grid&quot; ) |&gt; to_string ( ) &quot;grid text-black&quot; All preceding classes can be removed iex&gt; merge ( &quot;font-normal text-black&quot; , &quot;remove:* grid&quot; ) |&gt; to_string ( ) &quot;grid&quot; Classes can be explicitly kept iex&gt; merge ( &quot;font-normal text-black&quot; , &quot;remove:font-normal grid&quot; ) |&gt; to_string ( ) &quot;grid text-black&quot;","ref":"Tails.html#merge/2"},{"type":"function","title":"Tails.new/1","doc":"","ref":"Tails.html#new/1"},{"type":"function","title":"Tails.remove/2","doc":"Removes the given class from the class list.","ref":"Tails.html#remove/2"},{"type":"function","title":"Tails.transparent/0","doc":"","ref":"Tails.html#transparent/0"},{"type":"function","title":"Tails.white/0","doc":"","ref":"Tails.html#white/0"},{"type":"type","title":"Tails.t/0","doc":"","ref":"Tails.html#t:t/0"},{"type":"module","title":"Tails.Custom","doc":"Use to create a custom tails module, that can be configured with config :your_app, YourTails Additionally, themes can be passed at runtime. Example Usage: @themes %{ default : %{ ... } , dark : %{ ... } } use Tails.Custom , otp_app : :my_app , themes : @themes","ref":"Tails.Custom.html"}]